$slides-color: var(--ion-color-primary);
$slides-bg: var(--ion-color-white);
$slides-text: var(--ion-color-dark);
$slides-text-variant: var(--ion-color-secondary);

.slides-wrapper {
    width: 100%;
    height: 100%;
    background-color: $slides-bg;

    .slide-img {
        width: 75%;
        height: 50%;
    }

    .slide-text {
        position: absolute;
        top: 2rem;
        left: 1rem;
        text-align: left;
    
        .slide-title {
            color: $slides-text;
            margin-top: 8px;
            font-weight: 600;
        }
    
        .slide-subtitle {
            font-size: 14px;
            color: $slides-text;
            font-weight: 600;
        }
    }

    .slide-notes {
        position: absolute;
        bottom: 5rem;
        font-size: 12px;
        padding: 0 3rem;
        color: $slides-text-variant;
    }

    & + .pagination-controls {
        position: fixed;
        left: 0;
        bottom: 1rem;
        width: 100%;
        display: flex;
        justify-content: space-between;
        padding: 0 12px;
        z-index: 1;
    }

}

app-slides {
    .swiper-pagination {
      // 44px .pagination-control height
      // 18px .swiper-pagination height
      margin: calc((44px - 18px) / 2) 0;
      padding: 4px 0;
    }

    .swiper-pagination-bullet {

        background-color: transparent;
        border: 2px solid $slides-color;
        opacity: .4;
    
        &.swiper-pagination-bullet-active {
            background-color: $slides-color;
            opacity: 1;
        }
    
    }
}

